<template lang="fr">
  <th scope="row">{{ data.englishName }} ({{ data.name }})</th>
  <td align="center">
    <div v-if="data.isPlanet" class="ball green"></div>
    <div v-else="data.isPlanet" class="ball red"></div>
  </td>
  <td align="center">{{ (data.moons && data.moons.length) !== null ? data.moons.length : '/' }}</td>
  <td align="center">
    <Favorite :id="data.id" :name="data.englishName" :favorite="favorite" @update="updateFavorite"/>
  </td>
  <td>
    <router-link tag="button" :to="{ name: 'Planet', params: { id: data.id }}" class="btn btn-primary">
      Discover
    </router-link>
    
  </td>
</template>

<script>
import Favorite from "./../components/Favorite";

export default {
  name: "TableLine",
  components: {
    Favorite,
  },
  data() {
    return {
      favorite: false,
    };
  },
  props: {
    data: {},
  },
  methods: {
    updateFavorite(value) {
      this.favorite = value;
    },
  },
  mounted() {
    const favorites = this.$store.state.favorites;
    favorites.map((f) => {
      if (f === this.data.id) {
        this.favorite = true;
      }
    });
  },
};
</script>

<style scoped>
.ball {
  width: 10px;
  height: 10px;
  border-radius: 100px;
}

.ball.red {
  background-color: red;
}

.ball.green {
  background-color: green;
}
</style>

<style scoped>
img {
  width: 20px;
  cursor: pointer;
}
</style>
